CentOS 8 : kernel (CESA-2022:0825)

high Nessus Plugin ID 159302

Synopsis

The remote CentOS host is missing one or more security updates.

Description

The remote CentOS Linux 8 host has a package installed that is affected by multiple vulnerabilities as referenced in the CESA-2022:0825 advisory.

- kernel: Use After Free in unix_gc() which could result in a local privilege escalation (CVE-2021-0920)

- kernel: local privilege escalation by exploiting the fsconfig syscall parameter leads to container breakout (CVE-2021-4154)

- kernel: possible privileges escalation due to missing TLB flush (CVE-2022-0330)

- kernel: remote stack overflow via kernel panic on systems using TIPC may lead to DoS (CVE-2022-0435)

- kernel: cgroups v1 release_agent feature may allow privilege escalation (CVE-2022-0492)

- kernel: missing check in ioctl allows kernel memory read/write (CVE-2022-0516)

- kernel: improper initialization of the flags member of the new pipe_buffer (CVE-2022-0847)

- kernel: failing usercopy allows for use-after-free exploitation (CVE-2022-22942)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected kernel package.

See Also

https://access.redhat.com/errata/RHSA-2022:0825

Plugin Details

Severity: High

ID: 159302

File Name: centos8_RHSA-2022-0825.nasl

Version: 1.7

Type: local

Agent: unix

Published: 3/29/2022

Updated: 8/31/2022

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

Risk Information

VPR

Risk Factor: Critical

Score: 9.8

CVSS v2

Risk Factor: High

Base Score: 9

Temporal Score: 7.8

Vector: AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2022-0435

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 8.4

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:centos:centos:8, cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:kernel

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 3/10/2022

Vulnerability Publication Date: 12/15/2021

CISA Known Exploited Dates: 5/16/2022, 6/13/2022

Exploitable With

CANVAS (CANVAS)

Metasploit (Dirty Pipe Local Privilege Escalation via CVE-2022-0847)

Reference Information

CVE: CVE-2021-0920, CVE-2021-4154, CVE-2022-0330, CVE-2022-0435, CVE-2022-0492, CVE-2022-0516, CVE-2022-0847, CVE-2022-22942

RHSA: 2022:0825